<?php

declare(strict_types=1);

namespace Inpsyde\MultilingualPress\Framework\Nonce;

interface SiteAwareNonce extends Nonce
{
    /**
     * Make nonce instance specific for a given site.
     *
     * @param int $siteId
     * @return SiteAwareNonce
     */
    public function withSite(int $siteId): SiteAwareNonce;
}
